Package com.databend.jdbc.examples

# Class DatabendConnectionFactory

java.lang.Object
com.databend.jdbc.examples.DatabendConnectionFactory

All Implemented Interfaces:
  `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`

public class DatabendConnectionFactory extends Object implements org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>

## Constructor Summary

Constructors
Constructor
Description
`DatabendConnectionFactory(String url, Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`void`
`activateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`void`
`destroyObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`org.apache.commons.pool2.PooledObject<DatabendConnection>`
`makeObject()`
`void`
`passivateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`
`boolean`
`validateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.pool2.PooledObjectFactory

`destroyObject`

## Constructor Details

### DatabendConnectionFactory

public DatabendConnectionFactory(String url, Properties properties)

## Method Details

### makeObject

public org.apache.commons.pool2.PooledObject<DatabendConnection> makeObject() throws Exception

Specified by:
  `makeObject` in interface `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`
Throws:
  `Exception`

### destroyObject

public void destroyObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p) throws Exception

Specified by:
  `destroyObject` in interface `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`
Throws:
  `Exception`

### validateObject

public boolean validateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p)

Specified by:
  `validateObject` in interface `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`

### activateObject

public void activateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p) throws Exception

Specified by:
  `activateObject` in interface `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`
Throws:
  `Exception`

### passivateObject

public void passivateObject(org.apache.commons.pool2.PooledObject<DatabendConnection> p) throws Exception

Specified by:
  `passivateObject` in interface `org.apache.commons.pool2.PooledObjectFactory<DatabendConnection>`
Throws:
  `Exception`